#import "QCVerboseIndexPort.h"

@implementation QCVerboseIndexPort

- (id)initWithNode:(id)fp8 arguments:(id)fp12
{
	NSMutableDictionary *config = [fp12 mutableCopy];
	NSMutableDictionary *attr;
	NSMutableArray *menu = [[NSMutableArray alloc] init];
	NSArray *voices;
	
	[config autorelease];
	[menu autorelease];
	
	attr = [config objectForKey:@"attributes"];
	
	/*[menu addObject:@"foo"];
	[menu addObject:@"bar"];
	[menu addObject:@"baz"];*/
	int i;
	
	voices = [NSSpeechSynthesizer availableVoices];
	
	for(i=0;i<[voices count];++i)
	{
		NSDictionary *voiceAttributes = [NSSpeechSynthesizer attributesForVoice:[voices objectAtIndex:i]];
		[menu addObject:[voiceAttributes valueForKey:@"VoiceName"]];
	}
	
	[attr setValue:menu forKey:@"menu"];
	
	/*NSLog(@"initWithNode\nfp8(%s): %s\nfp12(%s): %s\nconfig(%s): %s\nattr(%s): %s\n",
		[[fp8 className] UTF8String],[[fp8 description] UTF8String],
		[[fp12 className] UTF8String],[[fp12 description] UTF8String],
		[[config className] UTF8String],[[config description] UTF8String],
		[[attr className] UTF8String],[[attr description] UTF8String]);*/

	return [super initWithNode:fp8 arguments:config];
}

- (BOOL)setStateValue:(id)fp8
{
	//NSLog(@"setStateValue   * fp8(%s): %s\n",[[fp8 className] UTF8String],[[fp8 description] UTF8String]);
	return [super setStateValue:fp8];
}

- (BOOL)setValue:(id)fp8
{
	//NSLog(@"setValue   * fp8(%s): %s\n",[[fp8 className] UTF8String],[[fp8 description] UTF8String]);
	return [super setValue:fp8];
}
@end